Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginBindingRegion

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginBindingRegion

    public class PluginBindingRegion

extends PluginSBase

     Class for modification bindingRegion.
     An instance corresponds a <BindingRegion> tag.

CellDesigner extention of SBML definition

BindingRegion
id : SId name : string {use="optional"} side : string {use="optional"}

The "id" which may a SId type string in the SBML definition, is treated as a String. When it is input or output, format check is done. If it fails, an SIdFormatException is thrown.

Field Summary

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginBindingRegion(PluginProtein parentProtein)` Constructor

Method Summary
`double` | `getAngle()`
`java.lang.String` | `getId()`
`java.lang.String` | `getName()`
`java.lang.String` | `getParentID()`
`PluginProtein` | `getParentProtein()`
`double` | `getSize()` get size
`java.lang.String` | `getType()` get type
`void` | `setAngle(double angle)` Sets the angle of this PluginBindingRegion.
`protected void` | `setId(java.lang.String id)` Sets the id of this PluginBindingRegion.
`void` | `setName(java.lang.String name)` Sets the name of this PluginBindingRegion.
`void` | `setSize(double size)` set size
`void` | `setType(java.lang.String type)` set type

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PluginBindingRegion

    public PluginBindingRegion(PluginProtein parentProtein)

  Constructor

  Parameters:
    `parentProtein` - the PluginProtein as the parent of this PluginBindingRegion

Method Detail

### setName

    public void setName(java.lang.String name)

  Sets the name of this PluginBindingRegion.

  Parameters:
    `name` -

### getName

    public java.lang.String getName()

  Returns:
    the name of this PluginBindingRegion

### setType

    public void setType(java.lang.String type)

  set type

  Parameters:
    `type` -

### getType

    public java.lang.String getType()

  get type

  Returns:
    type

### setSize

    public void setSize(double size)

  set size

  Parameters:
    `size` -

### getSize

    public double getSize()

  get size

  Returns:
    size

### setAngle

    public void setAngle(double angle)

  Sets the angle of this PluginBindingRegion.

  Parameters:
    `angle` -

### getAngle

    public double getAngle()

  Returns:
    the angle of this PluginBindingRegion.

### getId

    public java.lang.String getId()

  Returns:
    the id of this PluginBindingRegion.

### setId

    protected void setId(java.lang.String id)

  Sets the id of this PluginBindingRegion.

  Parameters:
    `id` -

### getParentID

    public java.lang.String getParentID()

  Returns:
    the ParentID of this PluginBindingRegion.

### getParentProtein

    public PluginProtein getParentProtein()

  Returns:
    the ParentProtein if ParentSBase is PluginProtein, null otherwise.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD